# loki.transformations.parallel.tests.test_openmp_region

Functions

`test_add_firstprivate_copies`(frontend) | A simple test for `add_firstprivate_copies`
`test_add_openmp_regions`(tmp_path, frontend) | A simple test for `add_openmp_regions`
`test_remove_firstprivate_copies`(frontend) | A simple test for `remove_firstprivate_copies`
`test_remove_openmp_regions`(frontend, ...) | A simple test for `remove_openmp_regions`

test_remove_openmp_regions(frontend, insert_loki_parallel)

  A simple test for `remove_openmp_regions`

test_add_openmp_regions(tmp_path, frontend)

  A simple test for `add_openmp_regions`

test_remove_firstprivate_copies(frontend)

  A simple test for `remove_firstprivate_copies`

test_add_firstprivate_copies(frontend)

  A simple test for `add_firstprivate_copies`